ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pito Salas <p...@eroom.com>
Subject Using Java 1.4 with Ant
Date Fri, 08 Nov 2002 13:12:37 GMT
I am having trouble convincing Ant to use Java 1.4 as the compiler for javac
tasks. If I set build.compiler to modern or javac1.4 it still always picks
Javac 1.3. Note that I have both 1.3 and 1.4 on my path. Does it simply pick
the first one it sees?

Also note that I'm running under Jbuilder 7, which runs under 1.3. Would the
"modern" setting look for 1.4 if it was able to locate both a 1.3 and a 1.4?

- Pito
-----Original Message-----
From: Jacob Kjome [mailto:hoju@visi.com] 
Sent: Sunday, November 03, 2002 2:35 PM
To: Ant Users List
Subject: RE: Ant and Java 1.4 - resend with typo corrected



Do you have a system variable named JAVA_HOME set?  Where does it point 
to?  Do you have JAVA_HOME/bin in your system PATH?

Jake

At 11:34 AM 11/3/2002 -0500, you wrote:
>I am having trouble convincing Ant to use Java 1.4 as the compiler for
>javac tasks.
>
>If I set build.compiler to either modern or javac1.4 it always picks
>Javac 1.3.
>
>Can anyone point me in the right direction?
>
>Thanks
>
>Pito

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message